com.trendmicro.ds.appcontrol.rest.object

## Class GetInventoryResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.GetInventoryResponse

-     public class GetInventoryResponse
      extends java.lang.Object

  Response object for the GetInventory API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetInventoryResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<InventoryItem>` | `getInventoryItems()` Get the list of inventory items.
    `void` | `setInventoryItems(java.util.List<InventoryItem> inventoryItems)` Set the list of inventory items.
    `GetInventoryResponse` | `withInventoryItems(InventoryItem... inventoryItems)` Set the list of inventory items.
    `GetInventoryResponse` | `withInventoryItems(java.util.List<InventoryItem> inventoryItems)` Set the list of inventory items.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetInventoryResponse

          public GetInventoryResponse()

  - ### Method Detail

    - #### getInventoryItems

          public java.util.List<InventoryItem> getInventoryItems()

      Get the list of inventory items.
      Returns:
        the list of inventory items.

    - #### setInventoryItems

          public void setInventoryItems(java.util.List<InventoryItem> inventoryItems)

      Set the list of inventory items.
      Parameters:
        `inventoryItems` - the list of inventory items.

    - #### withInventoryItems

          public GetInventoryResponse withInventoryItems(java.util.List<InventoryItem> inventoryItems)

      Set the list of inventory items.
      Parameters:
        `inventoryItems` - the list of inventory items.
      Returns:
        the updated `GetInventoryResponse` object.

    - #### withInventoryItems

          public GetInventoryResponse withInventoryItems(InventoryItem... inventoryItems)

      Set the list of inventory items.
      Parameters:
        `inventoryItems` - the list of inventory items.
      Returns:
        the updated `GetInventoryResponse` object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.